#!/bin/sh

#==============================================================
# This wrapper is intended to be installed into a systemwide
# admin-only executable directory such as "/usr/sbin/"
#
# It should be run as root and will call the upstream script to
# actually bootstrap the latest database from scratch.
#
# author: Andreas Tille, Karsten Hilbert
# license: GPL v2 or later
#
#==============================================================
# those probably need some adjustment from package maintainers:

GM_LOG_BASE="/var/log/gnumed/server"
GM_SERVER_DIR="/var/lib/gnumed/server/bootstrap"

#==============================================================
# do not run twice
[ "${FLOCKER}" != "$0" ] && exec env FLOCKER="$0" flock --exclusive --nonblock "$0" "$0" "$@" || :

# consider entirely removing this check, for example
# because it does not honour $GM_PORT
if ! su -c "psql -t -d template1 -c \"show lc_ctype;\"" -l postgres | grep -q -e C -e UTF-8 ; then
	echo "Your PostgreSQL installation seems not to have lc_ctype UTF-8 or C."
	echo "This will most probably lead to failures of the GNUmed server installation."
fi

cd ${GM_SERVER_DIR} || ( echo "=> Cannot change into ${GM_SERVER_DIR}. Aborting." ; exit 1 )
mkdir -p ${GM_LOG_BASE}
export GM_LOG_BASE
./bootstrap-latest.sh

#==============================================================
